%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-GitPython
Version:       3.1.38
Release:       1mamba
Summary:       GitPython is a Python library used to interact with Git repositories
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gitpython-developers/GitPython
Source:        https://pypi.debian.net/GitPython/GitPython-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(gitdb)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n GitPython-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/git
%{python_sitelib}/git/*
%doc AUTHORS LICENSE

%changelog
* Fri Dec 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.38-1mamba
- package created using the webbuild interface
